
clear all

talker = {'f101', 'm102', 'f103', 'm104', 'f105', 'f106', 'm107', 'f108',...
        'f109', 'm111', 'm112', 'f113', 'm114', 'm115', 'm117', 'm118',...
        'f119', 'm120'};
C_choice_old = {'xc', 'xd', 'xg', 'xj', 'xs', 'xt', 'xz', 'b', 'd', 'f',...
    'g', 'h', 'k', 'l', 'm', 'n', 'p', 'r', 's', 't', 'v', 'w', 'y', 'z'};
V_choice_old = {'a', 'xq', 'xi', 'e', 'xa', 'xe', 'xo', 'xr', 'xu', 'xw',...
    'xy', 'c', 'i', 'o', 'u'};
%C_choice_new = {'ch', 'dh', 'ng', 'j', 'sh', 'th', 'zh', 'b', 'd', 'f',...
%    'g','h', 'k', 'l', 'm', 'n','p', 'r', 's', 't', 'v', 'w', 'y', 'z'};
%V_choice_new = {'ae', 'U', 'e', 'i', 'oy', 'ir', 'u', 'ow', 'ai', 'a',...
%    'au', 'ei', 'ee', 'oa', 'oo'};

path = '../data/';
subid = 'Angela';

% d = dir([path subid '*.log']);
% temp = dir([path lower(subid) '*.log']);
% d(length(d)+[1:length(temp)]) = temp;
% clear temp
% 
% data = [];
% for i = 1:length(d)
%     date(i) = regexp(d(i).name,'\w+_(?<day>\d\d)-(?<month>\w\w\w)-(?<year>\d\d\d\d)_','names');
%     f = fopen([path d(i).name],'r');
%     x = fscanf(f,'%c');
%     fclose(f);
%     temp = regexp(x,'FILE=s_(?<talker>\w\d\d\d)_(?<stim>\w+)\.wav\s+STIM=\w+\s+RESP=(?<resp>\(\S+\))\s','names');
%     N(i) = length(temp);
%     if length(data)
%         data(length(data)+[1:N(i)]) = temp;
%     else
%         data = temp;
%     end
%     clear temp
% end

% get_date
% save(['Data_' subid '.mat'],'data','date','N')
% break

load(['Data_' subid '.mat'])

CM_C = zeros(24,24,2);
CM_V = zeros(15,15,2);
for i = 1:length(data)
%     stim(i) = resolve_stim(data(i).stim);
%     if strcmp('Norene',subid)
%         resp(i) = resolve_response_norene(data(i).resp, stim(i));
%     else
%         resp(i) = resolve_response(data(i).resp, stim(i));
%     end
%     data(i).resp = resp(i);
    resp(i) = data(i).resp;
    diff_count = 0;
    diff_loc = [];
    for j = 2:length(resp(i).category)
        if ~strcmp(resp(i).category(j),resp(i).category(j-1))
            diff_count = diff_count + 1;
            diff_loc(diff_count) = j;
        end
    end
    if diff_count > 2
        disp(['Error: Response is ' {resp(i).R(:).r}])
        disp(['Ignoring the response'])
    else
%         if diff_count == 2 % remove the phone additions
%             pick = strfind(resp(i).category,stim(i).category);
%             if pick(1) ~=1
%                 resp(i).R = resp(i).R(diff_loc(1):end);
%                 resp(i).category = resp(i).category(diff_loc(1):end);
%             else
%                 resp(i).R = resp(i).R(1:diff_loc(2));
%                 resp(i).category = resp(i).category(1:diff_loc(2));
%             end
%         end
        if strcmp(stim(i).category ,'CV')
            C_resp = strfind(resp(i).category,'C');
            L = length(C_resp);
            for j = 1:L
                CM_C(strmatch(stim(i).C,C_choice_old),strmatch(resp(i).R(C_resp(j)).r,C_choice_old),1) =...
                    CM_C(strmatch(stim(i).C,C_choice_old),strmatch(resp(i).R(C_resp(j)).r,C_choice_old),1) + 1/L;
            end
            V_resp = strfind(resp(i).category,'V');
            L = length(V_resp);
            for j = 1:L
                CM_V(strmatch(stim(i).V,V_choice_old),strmatch(resp(i).R(V_resp(j)).r,V_choice_old),2) =...
                    CM_V(strmatch(stim(i).V,V_choice_old),strmatch(resp(i).R(V_resp(j)).r,V_choice_old),2) + 1/L;
            end
        else
            C_resp = strfind(resp(i).category,'C');
            L = length(C_resp);
            for j = 1:L
                CM_C(strmatch(stim(i).C,C_choice_old),strmatch(resp(i).R(C_resp(j)).r,C_choice_old),2) =...
                    CM_C(strmatch(stim(i).C,C_choice_old),strmatch(resp(i).R(C_resp(j)).r,C_choice_old),2) + 1/L;
            end
            V_resp = strfind(resp(i).category,'V');
            L = length(V_resp);
            for j = 1:L
                CM_V(strmatch(stim(i).V,V_choice_old),strmatch(resp(i).R(V_resp(j)).r,V_choice_old),1) =...
                    CM_V(strmatch(stim(i).V,V_choice_old),strmatch(resp(i).R(V_resp(j)).r,V_choice_old),1) + 1/L;
            end
        end
    end
end


save(['CM_' subid '.mat'],'CM_C','CM_V','C_choice_old','V_choice_old')

