function WriteTable(f,CM_C,CM_V,C_choice_old, V_choice_old)

    p_C = diag(CM_C);
    N_C = sum(CM_C,2);
    p_V = diag(CM_V);
    N_V = sum(CM_V,2);
    
    L_C = length(N_C);
    L_V = length(N_V);
    
    [P_C, I_C] = sort([p_C./N_C]);
    [P_V, I_V] = sort([p_V./N_V]);

    fprintf(f,' , Total, ');
    for i = 1:L_C
        i_sort = I_C(i);
        fprintf(f,'%s, ', C_choice_old{i_sort});
    end
    for i = 1:L_V
        i_sort = I_V(i);
        fprintf(f,'%s, ', V_choice_old{i_sort});
    end
    fprintf(f,'\r\n');
    
    CM_C = round(CM_C./(N_C*ones(1,L_C))*100);
    for i = 1:L_C
        i_sort = I_C(i);
        fprintf(f,'%s, %i/%i=%i%c, ',C_choice_old{i_sort},p_C(i_sort),N_C(i_sort),round(P_C(i)*100),'%');
        if N_C(i_sort)
            for j = 1:L_C
                j_sort = I_C(j);
                if CM_C(i_sort,j_sort)
                    fprintf(f,'%i%c, ',CM_C(i_sort,j_sort),'%');
                else
                    fprintf(f,', ');
                end
            end
        end
        fprintf(f,'\r\n');
    end
    
    CM_V = round(CM_V./(N_V*ones(1,L_V))*100);
    for i = 1:L_V
        i_sort = I_V(i);
        fprintf(f,'%s, %i/%i=%i%c, ',V_choice_old{i_sort},p_V(i_sort),N_V(i_sort),round(P_V(i)*100),'%');
        if N_V(i_sort)
            for j = 1:L_C
                fprintf(f,', ');
            end
            for j = 1:L_V
                j_sort = I_V(j);
                if CM_V(i_sort,j_sort)
                    fprintf(f,'%i%c, ',CM_V(i_sort,j_sort),'%');
                else
                    fprintf(f,', ');
                end
            end
        end
        fprintf(f,'\r\n');
    end
return
