function resp = resolve_response(x,stim)

% verify these fixes
x = regexprep(x,'xx','x');
x = regexprep(x,'axe','xq');
x = regexprep(x,'axi','xy');

R = get_phones(x);

resp.R = R;

% temp = regexp(x,',','start');

if length(R) > 1
    diff_count = 0;
    for i = 2:length(R)
        if ~strcmp(R(i).category,R(i-1).category)
            diff_count = diff_count + 1;
        end
    end
    if diff_count > 1
        disp(['Weird Response: ' x])
        if strcmp(stim.category,'CV')
            disp(strcat('Input was (', stim.C, ')(', stim.V, ')'))
        else
            disp(strcat('Input was (', stim.V, ')(', stim.C, ')'))
        end
        x_new = input('Enter the corrected response: ','s');
        R = get_phones(x_new);
    end
    resp.category = [R(1).category R(end).category];
else
    resp.category = R.category;
end
